osl::rating::ShadowEffect1 Class Reference

`#include <capture.h>`

Inheritance diagram for osl::rating::ShadowEffect1:

## Public Member Functions

| ShadowEffect1 ()
bool | match (const NumEffectState &state, Move move, const RatingEnv &) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Detailed Description

Definition at line 37 of file capture.h.

## Constructor & Destructor Documentation

## ShadowEffect1()

osl::rating::ShadowEffect1::ShadowEffect1 | ( |  | ) |

inline

Definition at line 40 of file capture.h.

References osl::rating::Feature::Feature().

## Member Function Documentation

## match()

bool osl::rating::ShadowEffect1::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 41 of file capture.h.

References osl::ShadowEffect::count2(), osl::Move::player(), and osl::Move::to().

The documentation for this class was generated from the following file:

- capture.h